#!/bin/ksh

[[ $# -ne 2 ]] && print "Usage: $0 <itm installation directory> <product code>" && exit 1

CANDLEHOME=$1
PC=$2

[[ ! -d "$CANDLEHOME" ]] && print "Invalid ITM installation directory - $1" && exit 1

pc_env_file=$CANDLEHOME/config/${PC}.environment

[[ ! -f "$pc_env_file" ]] && print "File $pc_env_file does not exist" && exit 2

pc_tmp_file=$CANDLEHOME/tmp/${PC}.environment.$$

# save PATH variable
SAVEPATHITM=$PATH
PATH=$SAVEPATHITM:$ITM_SAVE_PATH

sed 's/^[A-Za-z].*$/export &/' $pc_env_file | sed 's/=\(.*\)/="\1"/' > $pc_tmp_file

# restore PATH variable
PATH=$SAVEPATHITM

. $pc_tmp_file

rc=$?

[[ -z "$ITM_KEEP_OVERRIDE_FILE" ]] && rm -f $pc_tmp_file 2>/dev/null

[[ $rc -eq 0 ]] || exit $rc